Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class JGVTComponent.ExtendedListener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
          org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, EventListener, GVTTreeRendererListener

Direct Known Subclasses:
  AbstractJSVGComponent.SVGListener

Enclosing class:
  JGVTComponent

    protected class JGVTComponent.ExtendedListener

extends AbstractJGVTComponent.Listener
implements MouseWheelListener

To hide the listener methods.

Constructor Summary
`protected` | `JGVTComponent.ExtendedListener()`

Method Summary
`protected void` | `dispatchMouseWheelMoved(MouseWheelEvent e)` Dispatches the mouse event to the GVT tree.
`void` | `mouseWheelMoved(MouseWheelEvent e)` Invoked when the mouse wheel has been scrolled.

Methods inherited from class org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
`deselectInteractor, dispatchKeyPressed, dispatchKeyReleased, dispatchKeyTyped, dispatchMouseClicked, dispatchMouseDragged, dispatchMouseEntered, dispatchMouseExited, dispatchMouseMoved, dispatchMousePressed, dispatchMouseReleased, gvtRenderingCancelled, gvtRenderingCompleted, gvtRenderingFailed, gvtRenderingPrepare, gvtRenderingStarted, handleMouseClicked, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGVTComponent.ExtendedListener

    protected JGVTComponent.ExtendedListener()

Method Detail

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

  Invoked when the mouse wheel has been scrolled.

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`

### dispatchMouseWheelMoved

    protected void dispatchMouseWheelMoved(MouseWheelEvent e)

  Dispatches the mouse event to the GVT tree.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.